@ECHO OFF
ECHO.
ECHO *********************************************
ECHO *** Installing 'Wireless Network Driver'  ***
ECHO *********************************************
ECHO.

SET CD_Drive=undefined > nul
FOR %%i IN (D E F G H I J K L M N O P Q R S T U V W X Y Z) DO IF EXIST "%%i:\tdevconex.exe" SET CD_Drive=%%i:
IF (%CD_Drive%)==(undefined) GOTO CD_ERROR

REM *** Atheros WLAN ***
%CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\net5211.inf"
IF NOT ERRORLEVEL 1 GOTO OK

REM *** INTEL WLAN ***
REM %CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\w70n51.inf"
REM IF NOT ERRORLEVEL 1 GOTO OK

REM *** CISCO WLAN ***
REM %CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\netA504.inf"
REM IF NOT ERRORLEVEL 1 GOTO OK

REM *** AGERE WLAN ***
%CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Wlags48b.inf"
IF ERRORLEVEL 1 GOTO FAIL
IF ERRORLEVEL 0 GOTO OK


:FAIL
ECHO.
ECHO ***************************
ECHO *** Installation failed ***
ECHO ***************************
ECHO.
GOTO END

:OK
ECHO.
ECHO ******************************************
ECHO *** Installation finished successfully ***
ECHO ******************************************
ECHO.
GOTO END

:CD_ERROR
ECHO.
ECHO ***********************************************
ECHO *** Could not determine CD-ROM drive letter ***
ECHO ***********************************************
ECHO.
GOTO END

:END
pause